> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Files



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json get /v1/transactions/exports/{export_id}/files
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/transactions/exports/{export_id}/files:
    get:
      tags:
        - transaction exports
      summary: Export Files
      operationId: export_files_v1_transactions_exports__export_id__files_get
      parameters:
        - name: export_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Export Id
        - name: after
          in: query
          required: false
          schema:
            type: integer
            minimum: -1
            default: -1
            title: After
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            default: 20
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilesPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FilesPage:
      properties:
        files:
          items:
            $ref: '#/components/schemas/Download'
          type: array
          title: Files
        next_after:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next After
      type: object
      title: FilesPage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Download:
      properties:
        number:
          type: integer
          title: Number
        rows:
          type: integer
          title: Rows
        bytes:
          type: integer
          title: Bytes
        url:
          type: string
          title: Url
        expires_at:
          type: string
          format: date-time
          title: Expires At
      type: object
      required:
        - number
        - rows
        - bytes
        - url
        - expires_at
      title: Download
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.